Brightcove Video Connect for AEM

This configurable integration enables the ability to add/edit/manage videos, playlists and players directly within AEM's authoring interface


The integration streamlines video publishing workflows for organizations who have been using Video Cloud and AEM concurrently. This is particularly evident in instances where there is a division of labor between the person or team responsible for uploading content to Video Cloud, setting business rules and creating players, and the person or team responsible for editing and publishing webpages via AEM. Both parties can now manage video content smoothly amongst themselves in the common AEM setting.

Download Brightcove Video Connect for AEM   Download the Installation Guide   Screenshots

(Current release: v4.0 - May 2015)

Brightcove Video Connect for AEM Overview

  • Leverage Brightcove Studio experience within the AEM Author instance
  • Select Brightcove-based video asset or playlist within component or from AEM asset library
  • Drag and drop Brightcove player or playlist component to add a Brightcove video content
  • Define Brightcove player from with the component
  • Define video alignment within webpage
  • Resize video on the fly (for non-responsive usage)
  • Full Brightcove API access using included OSGI bundle
  • If site uses Google Analytics, Event Tracking (Start, Stop, Play, Pause) is automatically reported
  • Ability to search Brightcove catalog for videos
  • Search provides auto complete
  • Download capabilities .PDF

What's New In Version 4

  • Support for multiple Brightcove accounts
  • Dynamic Ingest support
  • HTML5 video player support (in additional to Smart Player API)
  • Responsive video player
  • Drag and drop Brightcove player and video asset
  • Accesss control over Brightcove account by AEM user group
  • Enhanced search capabilities
  • Manage available video players within the Author instance
  • Maven integration
  • Internet Explorer 11 support
  • Multiple bug fixes and code cleanse

Integration Dependencies

Adobe Experience Manager

(Supports 5.4, 5.5, 5.6, 6.0 & 6.1)

Screenshots